/**
 * Koowa jqTree wrapper
 *
 * Customized instance of jqTree to render a list of categories in a tree structure.
 * It deals with turning a flat list into a hierarchy structure that jqTree understands.
 *
 * @copyright	Copyright (C) 2007 - 2014 Johan Janssens and Timble CVBA. (http://www.timble.net)
 * @license		GNU GPLv3 <http://www.gnu.org/licenses/gpl.html>
 * @link		https://github.com/nooku/nooku-framework for the canonical source repository
 * @requires    Koowa.Class, jqTree plugin
 */(function(e){Koowa.Tree=Koowa.Class.extend({initialize:function(t,n){this.setOptions(n),this.element=e(t),this.options.onBeforeInitialize&&this.options.onBeforeInitialize.call(this),e(window).load(e.proxy(function(){this.element.css("position")!="relative"&&(this.element.css("position","relative"),window.console&&console.warn("The element:",this.element,"should have position:relative applied by css"))},this)),this.attachHandlers(),this.options.data&&this.options.data.length&&(this.options.data=this.parseData(this.options.data)),this.tree=e.proxy(this.element.tree,this.element),this.tree(this.options),this.options.onAfterInitialize&&this.options.onAfterInitialize.call(this)},getDefaults:function(){var t=this,n={selected:null,data:[],autoOpen:0,useContextMenu:!1,toggler:[{triangle:["icon-triangle-right","&#x25ba;"],folder:"koowa_icon--folder"},{triangle:["icon-triangle-down","&#x25bc;"],folder:"koowa_icon--folder_open"}],onCreateLi:function(n,r){r.find(".jqtree-element").attr("title",n.name).wrap(e("<a />",{href:"javascript:void(0)",on:{click:function(e){e.preventDefault(),e.stopPropagation(),t.tree("selectNode",n)}}}));if(n.isFolder()){var i=t.options.toggler,s=i[n.is_open?1:0],o="folder"+(n.is_open?"":" open"),u=e("<i />",{"class":"icon-toggler "+s.triangle[0],html:s.triangle[1],on:{click:function(e){e.preventDefault(),e.stopPropagation(),t.element.tree("toggle",n)}}});r.find(".jqtree-title").prepend('<span class="'+s.folder+'"><i>'+o+"</i></span> ").prepend(u)}else r.find(".jqtree-title").prepend('<span class="'+t.options.toggler[0].folder+'"><i>folder</i></span> ').prepend('<i class="icon-triangle-hide"></i>');var a=n.getLevel();for(var f=1;f<a;++f)r.find(".jqtree-title").prepend('<i class="icon-whitespace"></i> ')}};return n},setOptions:function(t){return this.options=e.extend(!0,{},this.getDefaults(),t),this},selectNode:function(e,t){var n=[-1],r=t.tree("getState");n.push.apply(n,e.path.split("/").map(function(e){return parseInt(e,10)})),r.selected_node=e.id,r.open_nodes.push.apply(r.open_nodes,n),t.tree("setState",r)},parseData:function(e){return this._parseData(e)},_parseData:function(t){var n=[],r={};return e.each(t,function(e,t){r[t.id]=t,t.parent==0||!r.hasOwnProperty(t.parent)?n.push(t):(r[t.parent].hasOwnProperty("children")||(r[t.parent].children=[]),r[t.parent].children.push(t))}),n},unserialize:function(e){var t,n={};e=e.replace(/^\?/,"").split(/&/);for(t in e)e.hasOwnProperty(t)&&(t=e[t].split("="),n[decodeURIComponent(t[0])]=decodeURIComponent(t[1]));return n},_attachHandlers:function(){var t=this.options,n=this,r=t.toggler;this.element.bind({"tree.select":function(t){e(this).find(".active").removeClass("active"),t.node&&e(this).find(".jqtree-selected").addClass("active")},"tree.open":function(t){var n=t.node,i=r[1],s=r[0],o=e(n.element).children("a").find(".icon-toggler");o.removeClass(s.triangle[0]).addClass(i.triangle[0]).html(i.triangle[1]),o.closest("a").find("."+s.folder).removeClass(s.folder).addClass(i.folder)},"tree.close":function(t){var n=t.node,i=r[0],s=r[1],o=e(n.element).children("a").find(".icon-toggler");o.removeClass(s.triangle[0]).addClass(i.triangle[0]).html(i.triangle[1]),o.closest("a").find("."+s.folder).removeClass(s.folder).addClass(i.folder)},"tree.init":function(){e(this).find("ul.jqtree-tree").addClass("sidebar-nav"),t.selected&&n.selectNode(e(this).tree("getNodeById",t.selected),e(this))},"tree.refresh":function(){e(this).find("ul.jqtree-tree").addClass("sidebar-nav"),e(this).find(".jqtree-selected").addClass("active")}})},attachHandlers:function(){this._attachHandlers()},scrollIntoView:function(t,n,r){var i=e(t.element),s=n.height(),o=n.width(),u=i[0].offsetTop,a=i.height(),f=i.width(),l=Math.min(u,u-s+a),c={};l>n.scrollTop()?c.scrollTop=l:u<n.scrollTop()&&(c.scrollTop=u);if(o<f){var h=i.find(".jqtree-title").filter(":first"),p=h.find(".icon-whitespace").last(),d=p.length?p[0].offsetLeft:0;c.scrollLeft=d}if(c.scrollTop||c.scrollLeft)clearTimeout(this._scroll_into_view),this._scroll_into_view=setTimeout(function(){n.animate(c,r||900)}.bind(this),r||900)}})})(window.kQuery);